# Gimp.Vector2

    const Gimp = imports.gi.Gimp;

    let vector2 = new Gimp.Vector2({
        x: value
        y: value
    });

A two dimensional vector.

## Constructors

- Gimp.Vector2.new

## Methods

- Gimp.Vector2.prototype.add_val
- Gimp.Vector2.prototype.cross_product
- Gimp.Vector2.prototype.cross_product_val
- Gimp.Vector2.prototype.inner_product
- Gimp.Vector2.prototype.inner_product_val
- Gimp.Vector2.prototype.length
- Gimp.Vector2.prototype.length_val
- Gimp.Vector2.prototype.mul
- Gimp.Vector2.prototype.mul_val
- Gimp.Vector2.prototype.neg
- Gimp.Vector2.prototype.neg_val
- Gimp.Vector2.prototype.normal
- Gimp.Vector2.prototype.normal_val
- Gimp.Vector2.prototype.normalize
- Gimp.Vector2.prototype.normalize_val
- Gimp.Vector2.prototype.rotate
- Gimp.Vector2.prototype.rotate_val
- Gimp.Vector2.prototype.set
- Gimp.Vector2.prototype.sub_val

## Static Functions

- Gimp.Vector2.add
- Gimp.Vector2.sub

## Fields

- x
- y